SoPathList(3)

NAME
SoPathList - The SoPathList class is a container for pointers to SoPath objects.

SYNOPSIS

#include <Inventor/lists/SoPathList.h>

Inherits SoBaseList.

  Public Member Functions
SoPathList (void)
SoPathList (const int size)
SoPathList (const SoPathList &pl)
~SoPathList ()
void append (SoPath *const path)
SoPath * operator[] (const int i) const
SoPathList & operator= (const SoPathList &pl)
int findPath (const SoPath &path) const
void sort (void)
void uniquify (void)

  Additional Inherited Members

Detailed Description

The SoPathList class is a container for pointers to SoPath objects. As this class inherits SoBaseList, referencing and dereferencing will default be done on the objects at append(), remove(), insert() etc.

Constructor & Destructor Documentation

  SoPathList::SoPathList (void)
Default constructor.

  SoPathList::SoPathList (const int size)
Constructor with a hint about the number of elements the list will hold.

See also
    SoBaseList::SoBaseList(const int)

  SoPathList::SoPathList (const SoPathList & pl)
Copy constructor.

Does a shallow copy of the SoPath pointer values, but updates reference count.

See also
    SoBaseList::SoBaseList(const SoBaseList &)

  SoPathList::~SoPathList ()
Destructor.

See also
    SoBaseList::~SoBaseList()

Member Function Documentation

  void SoPathList::append (SoPath *const path)
Append ptr to the list.

See also
    SoBaseList::append()

  SoPath * SoPathList::operator[] (const int i) const
Return node pointer at index i.

See also
    SoBaseList::operator[]()

  SoPathList & SoPathList::operator= (const SoPathList & pl)
Shallow copy of contents of list pl to this list.

See also
    SoBaseList::operator=()

  int SoPathList::findPath (const SoPath & path) const
Find and return index of first item equal to path.

  void SoPathList::sort (void)
Sort paths in list according to how early they are run into when traversing the scene graph.

  void SoPathList::uniquify (void)
Removes identical paths and paths that go through the tail of another path.

Note that this method assumes the list to be in a sorted order.

See also
    sort()

Author

Generated automatically by Doxygen for Coin from the source code.